Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Get workspace

Get a specific workspace by ID

GET/workspaces/{workspaceId}
Authorization
AuthorizationBearer token · headerrequired

Company API key (starts with ord_c_)

Path parameters
workspaceIdstring<uuid>required
Responses
200

OK

idstring<uuid>required
namestringrequired
slugstringrequired
timezonestring | nullrequired
Show properties
Any of:
string
string
null
null
createdAtstring<date-time>required
400

Bad Request - Invalid input parameters

codestring
messagestring
errorsobject
401

Unauthorized - User is not authenticated

statusnumber
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.tryordinal.com/api/v1/company/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "slug": "string",
  "timezone": "string",
  "createdAt": "2019-08-24T14:15:22Z"
}